/* Copyright (c) 2000-2006 ActiveState Software Inc.
   See the file LICENSE.txt for licensing information. */

/* Komodo's Help->About dialog */

var log = ko.logging.getLogger("about");
var _bundle = Components.classes["@mozilla.org/intl/stringbundle;1"]
        .getService(Components.interfaces.nsIStringBundleService)
        .createBundle("chrome://komodo/locale/about.properties");

//---- interface routines for XUL

function OnLoad()
{
    var infoSvc = Components.classes["@activestate.com/koInfoService;1"].
                  getService(Components.interfaces.koIInfoService);

    // Fill in Komodo License information.
    var licenseInfoWidget = document.getElementById("license-info");
    licenseInfoWidget.setAttribute("value", infoSvc.licenseInfo);

    // Fill in Komodo build information.
    var buildInfoWidget = document.getElementById("build-info");
    var buildInfo = _bundle.formatStringFromName("aboutInfo.message",
            [infoSvc.prettyProductType,
             infoSvc.version,
             infoSvc.buildNumber,
             infoSvc.buildPlatform,
             infoSvc.buildASCTime], 5);
    var brandingPhrase = infoSvc.brandingPhrase;
    if (brandingPhrase) {
        buildInfo += "\n"+brandingPhrase;
    }
    buildInfoWidget.value = buildInfo;

    // Give the Ok button the focus, otherwise the textbox might eat <Enter>.
    var dialog = document.getElementById("dialog-about");
    var okButton = dialog.getButton("accept");
    okButton.setAttribute("accesskey", "o");
    okButton.focus();

    window.sizeToContent();
    dialog.moveToAlertPosition();
}


